#pragma once

#include "CoreMinimal.h"
#include "BaseCharacterRotationStrategy.h"
#include "K38SurvivorHeldByDogRotationStrategy.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class UK38SurvivorHeldByDogRotationStrategy : public UBaseCharacterRotationStrategy
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _rotationLerpSpeed;

public:
	UK38SurvivorHeldByDogRotationStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UK38SurvivorHeldByDogRotationStrategy) { return 0; }
